> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.meshapi.ai/llms.txt.
> For full documentation content, see https://developers.meshapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.meshapi.ai/_mcp/server.

# Generate Image

POST https://api.meshapi.ai/v1/images/generations
Content-Type: application/json

OpenAI-compatible image generation endpoint.

Reference: https://developers.meshapi.ai/api-reference/mesh-api/images/generate-image-v-1-images-generations-post

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /v1/images/generations:
    post:
      operationId: generate-image-v-1-images-generations-post
      summary: Generate Image
      description: OpenAI-compatible image generation endpoint.
      tags:
        - subpackage_images
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                description: Any type
        '402':
          description: Insufficient balance or spend cap reached
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Upstream provider error
          content:
            application/json:
              schema:
                description: Any type
        '501':
          description: Provider does not support image generation
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
servers:
  - url: https://api.meshapi.ai
components:
  schemas:
    ImageGenerationRequestResponseFormat:
      type: string
      enum:
        - url
        - b64_json
      default: url
      title: ImageGenerationRequestResponseFormat
    ImageGenerationRequestOutputFormat:
      type: string
      enum:
        - png
        - jpeg
        - webp
      title: ImageGenerationRequestOutputFormat
    ImageGenerationRequest:
      type: object
      properties:
        prompt:
          type: string
        model:
          type:
            - string
            - 'null'
        'n':
          type: integer
          default: 1
        quality:
          type: string
          default: auto
        response_format:
          $ref: '#/components/schemas/ImageGenerationRequestResponseFormat'
        size:
          type: string
          default: auto
        output_format:
          oneOf:
            - $ref: '#/components/schemas/ImageGenerationRequestOutputFormat'
            - type: 'null'
        stream:
          type: boolean
          default: false
      required:
        - prompt
      title: ImageGenerationRequest
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.meshapi.ai/v1/images/generations"

payload = {
    "prompt": "A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art",
    "model": "dall-e-3",
    "n": 3,
    "quality": "high",
    "response_format": "url",
    "size": "1024x1024",
    "output_format": "png",
    "stream": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meshapi.ai/v1/images/generations';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"prompt":"A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art","model":"dall-e-3","n":3,"quality":"high","response_format":"url","size":"1024x1024","output_format":"png","stream":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meshapi.ai/v1/images/generations"

	payload := strings.NewReader("{\n  \"prompt\": \"A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art\",\n  \"model\": \"dall-e-3\",\n  \"n\": 3,\n  \"quality\": \"high\",\n  \"response_format\": \"url\",\n  \"size\": \"1024x1024\",\n  \"output_format\": \"png\",\n  \"stream\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meshapi.ai/v1/images/generations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"prompt\": \"A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art\",\n  \"model\": \"dall-e-3\",\n  \"n\": 3,\n  \"quality\": \"high\",\n  \"response_format\": \"url\",\n  \"size\": \"1024x1024\",\n  \"output_format\": \"png\",\n  \"stream\": false\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.meshapi.ai/v1/images/generations")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"prompt\": \"A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art\",\n  \"model\": \"dall-e-3\",\n  \"n\": 3,\n  \"quality\": \"high\",\n  \"response_format\": \"url\",\n  \"size\": \"1024x1024\",\n  \"output_format\": \"png\",\n  \"stream\": false\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.meshapi.ai/v1/images/generations', [
  'body' => '{
  "prompt": "A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art",
  "model": "dall-e-3",
  "n": 3,
  "quality": "high",
  "response_format": "url",
  "size": "1024x1024",
  "output_format": "png",
  "stream": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meshapi.ai/v1/images/generations");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"prompt\": \"A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art\",\n  \"model\": \"dall-e-3\",\n  \"n\": 3,\n  \"quality\": \"high\",\n  \"response_format\": \"url\",\n  \"size\": \"1024x1024\",\n  \"output_format\": \"png\",\n  \"stream\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "prompt": "A futuristic city skyline at sunset, vibrant colors, highly detailed, digital art",
  "model": "dall-e-3",
  "n": 3,
  "quality": "high",
  "response_format": "url",
  "size": "1024x1024",
  "output_format": "png",
  "stream": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meshapi.ai/v1/images/generations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```